[arch-commits] Commit in libxau/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 09:22:37 EDT 2008


    Date: Sunday, August 31, 2008 @ 09:22:37
  Author: jgc
Revision: 10838

upgpkg: libxau 1.0.4-1

Modified:
  libxau/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 13:19:58 UTC (rev 10837)
+++ PKGBUILD	2008-08-31 13:22:37 UTC (rev 10838)
@@ -2,7 +2,7 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxau
-pkgver=1.0.3
+pkgver=1.0.4
 pkgrel=1
 pkgdesc="X11 authorisation library"
 arch=(i686 x86_64)
@@ -12,16 +12,14 @@
 license=('custom')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXau-${pkgver}.tar.bz2)
-md5sums=('75a9f2b85cd1617b5ca98c9095323853')
+md5sums=('0f2b88d857e0a3f5898e4759c541af46')
 
 build() {
   cd ${startdir}/src/libXau-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --host=${CHOST} --build=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 
-# install custom license
-install -Dm644 $srcdir/libXau-$pkgver/COPYING \
-	$pkgdir/usr/share/licenses/$pkgname/COPYING
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING || return 1
 }




More information about the arch-commits mailing list